package com.gmail.jeanchristophe;

import com.vaadin.flow.component.button.Button;
import com.vaadin.flow.component.dependency.HtmlImport;
import com.vaadin.flow.component.html.H1;
import com.vaadin.flow.component.html.H2;
import com.vaadin.flow.component.notification.Notification;
import com.vaadin.flow.component.orderedlayout.VerticalLayout;
import com.vaadin.flow.dom.Element;
import com.vaadin.flow.router.Route;

/**
 * The main view contains a button and a click listener.
 */
@Route("")
@HtmlImport("bower_components/j-elements/j-tooltip.html")
public class MainView extends VerticalLayout {

    public MainView() {
        Button button = new Button("Click me",
                event -> Notification.show("Clicked!"));

        Element jtooltip = new Element("j-tooltip");
        Element template = new Element("template");     
        template.setProperty("innerHTML", "I'm a tooltip!");
        jtooltip.appendChild(template);     
        button.getElement().appendChild(jtooltip);
        add(button);
        
        Button button2 = new Button("Click me2",
                event -> Notification.show("Clicked!"));

        Element jtooltip2 = new Element("j-tooltip");
        jtooltip2.setAttribute("text", "test");
        button2.getElement().appendChild(jtooltip2);
        add(button2);
        
        
        H1 h1 = new H1("test");

        Element jtooltiph1 = new Element("j-tooltip");
        jtooltiph1.setAttribute("text", "test h1");
        h1.getElement().appendChild(jtooltiph1);
        add(h1);

        H2 h2 = new H2("test H2");
        h2.setId("my-h2");
        
        PaperTooltip paperTooltip = new PaperTooltip();
        paperTooltip.setText("test H2");
        h2.getId().ifPresent(id -> paperTooltip.setFor(id));
        add(paperTooltip);
        add(h2);
        
    }
}
